Update override
Updates an existing affiliate override.
Required permissions:
affiliate:update
Authorizations
A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************
Path Parameters
The affiliate ID.
"aff_xxxxxxxxxxxxxx"
The override ID.
Body
Parameters for UpdateAffiliateOverride
Whether commission applies to first payment or all payments (standard only).
first_payment, all_payments The commission type (percentage or flat_fee).
percentage, flat_fee The commission value (percentage 1-100 or flat fee in dollars).
6.9
The revenue calculation basis (rev-share only).
pre_fees, post_fees Response
A successful response
A commission configuration for an affiliate, defining payout terms for a specific plan or revenue share
Whether the commission applies to the first payment only or all payments (standard overrides only).
first_payment, all_payments Whether this rev-share override applies to a single product or all products (rev-share only).
single_product, all_products The checkout direct link for referrals (standard overrides only).
The type of commission (percentage or flat_fee).
percentage, flat_fee The commission amount. A percentage (1-100) when commission_type is percentage, or a dollar amount when flat_fee.
6.9
The unique identifier for the affiliate override.
"affov_xxxxxxxxxxxx"
The type of override (standard or rev_share).
standard, rev_share The plan ID (for standard overrides).
"plan_xxxxxxxxxxxxx"
The product page direct link for referrals (standard overrides only).
The product ID (for rev-share overrides).
The revenue calculation basis (pre_fees or post_fees).
pre_fees, post_fees The total earnings paid to this affiliate for referrals to this specific plan, in USD.
6.9

